summaryrefslogtreecommitdiffstats
path: root/Cancer/assets/hooks/pre-commit
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-12-30 03:05:26 +0100
committermakefu <github@syntax-fehler.de>2013-12-30 03:05:26 +0100
commit0b81bca953ec7cdf373ff97b11ebd6fb847d733f (patch)
tree63d62f6c32dd6726f823eb2af32cb2a7fab03530 /Cancer/assets/hooks/pre-commit
parent96151bd07330aee400fb99fd9f8f117bae42c9e5 (diff)
libkrebs is obsolete
Diffstat (limited to 'Cancer/assets/hooks/pre-commit')
-rwxr-xr-xCancer/assets/hooks/pre-commit8
1 files changed, 8 insertions, 0 deletions
diff --git a/Cancer/assets/hooks/pre-commit b/Cancer/assets/hooks/pre-commit
new file mode 100755
index 00000000..6ad1ca2a
--- /dev/null
+++ b/Cancer/assets/hooks/pre-commit
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -euf
+if which truth2json;then
+ truth2json >/dev/null && echo "db verified"
+else
+ echo "cannot verify as truth2json is not installed"
+fi
+